Bug 2026644 - (release-4.9) Collect all the related container logs of a degraded cluster operator
Summary: (release-4.9) Collect all the related container logs of a degraded cluster op...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.z
Assignee: Tomas Remes
QA Contact: Joao Fula
URL:
Whiteboard:
Depends On: 2002504
Blocks: 2026646
TreeView+ depends on / blocked
 
Reported: 2021-11-25 11:43 UTC by Tomas Remes
Modified: 2021-12-06 11:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 2002504
: 2026646 (view as bug list)
Environment:
Last Closed: 2021-12-06 11:22:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 553 0 None open [release-4.9] Bug 2026644: Gather all the container logs from relate namespaces of degraded clusteroperator 2021-11-25 11:49:48 UTC
Red Hat Product Errata RHBA-2021:4889 0 None None None 2021-12-06 11:22:45 UTC

Comment 2 Joao Fula 2021-11-30 09:30:43 UTC
Verified on 4.9.0-0.nightly-2021-11-29-233413.
 
Verification steps:

1. Disable Cluster Version Operator.
2. Degrade Cluster Monitoring Operator:
Edit "config.yaml" key value in "cluster-monitoring-config" config map of "openshift-monitoring" namespace.
Put any non-valid yaml there.
3. Wait until Cluster Monitoring Operator will be degraded:
oc get co
4. Restart Insights Operator
5. Wait until a new archive will be created.
6. Download the archive.

config/pod/openshift-monitoring/logs contains logs for all containers of "openshift-monitoring" namespace.

Comment 5 errata-xmlrpc 2021-12-06 11:22:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.10 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4889


Note You need to log in before you can comment on or make changes to this bug.